Skip to main content
`Ctrl`+`K`

# numpy.char.title

char.title(a)

  Return element-wise title cased version of string or unicode.

  Title case words start with uppercase characters, all remaining cased characters are lowercase.

  Calls `str.title` element-wise.

  For 8-bit strings, this method is locale-dependent.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype

      Input array.

  Returns:
    out ndarray

      Output array of `StringDType`, `bytes_` or `str_` dtype, depending on input types

  See also

  `str.title`

  Examples

      >>> import numpy as np
      >>> c=np.array(['a1b c','1b ca','b ca1','ca1b'],'S5'); c
      array(['a1b c', '1b ca', 'b ca1', 'ca1b'],
          dtype='|S5')
      >>> np.strings.title(c)
      array(['A1B C', '1B Ca', 'B Ca1', 'Ca1B'],
          dtype='|S5')